#!/usr/bin/env python

import sys, os
import simplify
import fixnames
import viewer
from annotate import AnnotationError, annotate_all as aa

builtins = simplify.simplify(os.path.join("lib", "builtins.py"), 1)
module = simplify.simplify(sys.argv[1])
fixnames.fix(builtins)
fixnames.fix(module, builtins)

stream = sys.stdout
v = viewer.Viewer(stream)

if "-a" in sys.argv:
    try:
        aa([module], builtins)
    except AnnotationError, exc:
        v.report(exc)

if "-d" in sys.argv:
    viewer.makedoc(module, "%s%shtml" % (module.name, os.path.extsep))
    viewer.makedoc(builtins, "%s%shtml" % (builtins.name, os.path.extsep))

# vim: tabstop=4 expandtab shiftwidth=4
